com.microfocus.awm.meta.util

## Class TaurusXMLHandler

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - org.eclipse.emf.ecore.xmi.impl.XMLHandler
    - - org.eclipse.emf.ecore.xmi.impl.SAXXMLHandler
      - - com.microfocus.awm.meta.util.TaurusXMLHandler

- All Implemented Interfaces:
    org.eclipse.emf.ecore.xmi.XMLDefaultHandler, org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler, org.xml.sax.ext.LexicalHandler

      public class TaurusXMLHandler
      extends org.eclipse.emf.ecore.xmi.impl.SAXXMLHandler

  Custom XML handler for parsing AWM models.
  Author:
    RalfP

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaurusXMLHandler(org.eclipse.emf.ecore.xmi.XMLResource pXmiResource, org.eclipse.emf.ecore.xmi.XMLHelper pHelper, java.util.Map<?,?> pOptions)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `endDocument()`

    - ### Methods inherited from class org.eclipse.emf.ecore.xmi.impl.XMLHandler

      `characters, comment, endCDATA, endDTD, endElement, endEntity, endPrefixMapping, error, error, fatalError, fatalError, getXMLEncoding, ignorableWhitespace, notationDecl, prepare, processingInstruction, reset, resolveEntity, setDocumentLocator, skippedEntity, startCDATA, startDocument, startDTD, startElement, startElement, startEntity, startPrefixMapping, unparsedEntityDecl, warning, warning`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaurusXMLHandler

          public TaurusXMLHandler(org.eclipse.emf.ecore.xmi.XMLResource pXmiResource,
                                  org.eclipse.emf.ecore.xmi.XMLHelper pHelper,
                                  java.util.Map<?,?> pOptions)

      Constructor.
      Parameters:
        `pXmiResource` - the model resource
        `pHelper` - `XMLHelper`
        `pOptions` - options for the handler

  - ### Method Detail

    - #### endDocument

          public void endDocument()

      Specified by:
        `endDocument` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `endDocument` in class `org.eclipse.emf.ecore.xmi.impl.XMLHandler`

Copyright © 2015 Micro Focus GmbH. All rights reserved.